/*
 * $Id: Id3FrameMultiple.java,v 1.6 2005/04/27 08:40:19 gruni Exp $
 * $Author: gruni $ 
 * 
 * $Log: Id3FrameMultiple.java,v $
 * Revision 1.6  2005/04/27 08:40:19  gruni
 * changes due to refactoring
 *
 */
package org.jd3lib;

import java.nio.ByteBuffer;

/**
 * Superclass for all frames which allow more than one of its Kind.
 * 
 * @author Andreas Grunewald
 * 
 * LATER 1.0 Write Documentation
 */
public abstract class Id3FrameMultiple
    extends Id3Frame {

  /**
   * @param frameData
   * @param header
   */
  public Id3FrameMultiple(ByteBuffer frameData, Id3v2FrameHeader header) {
    super(frameData, header);
    // LATER 0.7 Auto-generated constructor stub
  }

  /**
   * Compares twoframes eventually Compareable interface.
   */
  public abstract boolean isDifferent(Id3FrameMultiple toCompare);

  /**
   * All classes are forced to reimplement the equals Method because multiple
   * Frames have specific comparing shemes.
   */
  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Object#equals(java.lang.Object)
   */
  //abstract public boolean equals(Object arg0);
  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Object#equals(java.lang.Object)
   */
  public boolean equals(Object arg0) {
    if (arg0 instanceof Id3FrameMultiple) {
      return isDifferent((Id3FrameMultiple) arg0);
    }
    return false;

  }
}