/*
 * 14.10.2004
 * by Andreas Grunewald
 */
package org.jd3lib;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import junit.framework.TestCase;

import org.jd3lib.util.UnitTestHelper;

/**
 * @author Andreas Grunewald
 * 
 * LATER 1.0 Write Documentation
 */
public class MP3FileTest
    extends TestCase {

  public void testMP3File() {
    new MP3File("test_data/winampfileinfo/TestMP3.mp3");
  }

  public void testMP3File2() {
    MP3File theFile = new MP3File("test_data/winampfileinfo/TestMP3.mp3");
    theFile.stripTags();
    theFile.writeToDisk("TestMP3File2");
  }

  public void testMP3File3() {
    MP3File theFile = new MP3File("test_data/winampfileinfo/TestMP3.mp3");
    try {
      FileInputStream input = new FileInputStream(theFile.getFilePath());
      byte[] inByte = new byte[input.available()];
      input.read(inByte);

      Id3v2Tag newTag = theFile.getID3v2();
      ((Id3FrameTIT2) newTag.getFrame("TIT2")).setTitle("MP3FileTest");
      theFile.writeToDisk("TestMP3File3");
      //	UnitTestHelper.compareByteArray(inByte, theFile.getID3v2()
      //		.getTagData().toByteArray());
    } catch (FileNotFoundException e) {
      // LATER 1.5 Auto-generated catch block
      e.printStackTrace();
    } catch (IOException e) {
      // LATER 1.5 Auto-generated catch block
      e.printStackTrace();
    }
  }

  public void testReadFileAndWriteBackToNewFile() {
    MP3File theFile = new MP3File("test_data/winampfileinfo/TestMP3.mp3");
    try {
      FileInputStream input = new FileInputStream(theFile.getFilePath());
      byte[] inByte = new byte[input.available()];
      input.read(inByte);
      theFile.writeToDisk("TestMP3File3");
      UnitTestHelper.compareByteArray(inByte, theFile.getID3v2().getTagData()
          .toByteArray());
    } catch (FileNotFoundException e) {
      // LATER 1.5 Auto-generated catch block
      e.printStackTrace();
    } catch (IOException e) {
      // LATER 1.5 Auto-generated catch block
      e.printStackTrace();
    }
  }

  /**
   * Test deactivated with NO keyword at methodname
   * 
   * @deprecated Unknown test it has to be verified what this test does.
   */
  public void NOtestReadFileAndWriteBackToSameFile() {
    MP3File theFile = new MP3File("test_data/winampfileinfo/TestMP3.mp3");
    try {
      FileInputStream input = new FileInputStream(theFile.getFilePath());
      byte[] inByte = new byte[input.available()];
      input.read(inByte);
      theFile.writeToDisk("TestMP3File3");
      UnitTestHelper.compareByteArray(inByte, theFile.getID3v2().getTagData()
          .toByteArray());
    } catch (FileNotFoundException e) {
      //LATER 4.0 Auto-generated catch block
      e.printStackTrace();
    } catch (IOException e) {
      //LATER 4.0 Auto-generated catch block
      e.printStackTrace();
    }
  }

  /**
   * Test deactivated with NO keyword at methodname
   * 
   * @deprecated Unknown test it has to be verified what this test does.
   */
  public void NOtestStressFiles() {
    MP3File theFile;
    long startTime = System.currentTimeMillis();
    long stop;
    for (int counter = 0; counter < 0; counter++) {
      theFile = new MP3File("test_data/winampfileinfo/stress/TestMP3.mp3");
      try {
        FileInputStream input = new FileInputStream(theFile.getFilePath());
        byte[] inByte = new byte[input.available()];
        input.read(inByte);
        theFile.writeToDisk("Stress");
        input.close();
        input = null;
        inByte = null;
      } catch (Exception e) {
        e.printStackTrace();
      }
      theFile = null;
    }
    stop = System.currentTimeMillis();
    System.out.println("1000 MP3s took " + (stop - startTime) + "ms");
    startTime = System.currentTimeMillis();
    for (int counter = 0; counter < 1; counter++) {
      theFile = new MP3File("test_data/winampfileinfo/stress/TestMP3re.mp3");
      try {
        FileInputStream input = new FileInputStream(theFile.getFilePath());
        byte[] inByte = new byte[input.available()];
        input.read(inByte);
        theFile.writeToDisk(null);
        input.close();
        input = null;
        inByte = null;
      } catch (Exception e) {
        e.printStackTrace();
      }
      theFile = null;
    }
    stop = System.currentTimeMillis();
    System.out.println("1000xthe Same MP3 took " + (stop - startTime) + "ms");
  }

}