/*
 * $Id: WampID3v2.java,v 1.3 2005/04/27 08:29:05 gruni Exp $
 * $Author: gruni $ 
 * 
 * $Log: WampID3v2.java,v $
 * Revision 1.3  2005/04/27 08:29:05  gruni
 * minor changes
 *
 * Revision 1.2  2005/01/27 17:27:15  gruni
 * updated
 */
package org.jd3lib.adapter;

import org.jd3lib.Id3Frame;
import org.jd3lib.Id3FrameWXXX;
import org.jd3lib.Id3v2Tag;
import org.jd3lib.MetaData;

/**
 * Class that gives access to the ID3v2 Frame Fields that can be edited 
 * by the Winamp FileInfo dialog.
 * @author Andreas Grunewald
 */
public class WampID3v2 implements MetaData {

  private Id3v2Tag idv2tag;

  public WampID3v2() {
    idv2tag = new Id3v2Tag();
  }

  public WampID3v2(Id3v2Tag inputTag) {
    idv2tag = inputTag;
  }

  /*
   * private String getTString(String fId) { Id3Frame current =
   * idv2tag.getFrame(fId); if (current == null) return null; return
   * ((Id3FrameTBase) current).getInformation(); }
   */

  /**
   * @return
   */
  public String getAlbum() {
    return idv2tag.getAlbum();
  }

  /**
   * @return
   */
  public String getArtist() {
    return idv2tag.getArtist();
  }

  /**
   * @return
   */
  public String getComment() {
    return idv2tag.getComment();
  }

  /**
   * @return
   */
  public String getComposer() {
    return idv2tag.getTString("TCOM");
  }

  /**
   * @return
   */
  public String getCopyright() {
    return idv2tag.getTString("TCOP");
  }

  /**
   * @return
   */
  public String getEncodedBy() {
    return idv2tag.getTString("TENC");
  }

  /**
   * @return
   */
  public String getGenre() {
    return idv2tag.getGenre();
  }

  /**
   * @return
   */
  public String getOrigArtist() {
    return idv2tag.getTString("TOPE");
  }

  /**
   * @return
   */
  public String getTitle() {
    return idv2tag.getTitle();
  }

  /**
   * @return
   */
  public int getTrack() {
    return idv2tag.getTrack();
  }

  /**
   * @return
   */
  public String getURL() {
    Id3Frame current = idv2tag.getFrame("WXXX");
    if (current == null) return null;
    Id3FrameWXXX out = (Id3FrameWXXX) current;
    if (out.getURL() == null) return out.getDescription();
    return out.getURL().toASCIIString();
  }

  /**
   * @return
   */
  public int getYear() {
    return idv2tag.getYear();
  }

  /**
   * @param testStringValue
   */
  public void setAlbum(String talb) {
    idv2tag.setAlbum(talb);
  }

  /**
   * @param testStringValue
   */
  public void setArtist(String artistName) {
    idv2tag.setArtist(artistName);
  }

  /**
   * @param testStringValue
   */
  public void setComment(String value) {
    idv2tag.setComment(value);
  }

  /**
   * @param testStringValue
   */
  public void setComposer(String tcom) {
    idv2tag.setTString("TCOM", tcom);
  }

  /**
   * @param testStringValue
   */
  public void setCopyright(String tcop) {
    idv2tag.setTString("TCOP", tcop);
  }

  /**
   * @param testStringValue
   */
  public void setEncodedBy(String tenc) {
    idv2tag.setTString("TENC", tenc);
  }

  /**
   * @param testIntValue
   */
  public void setGenre(String tcon) {
    idv2tag.setGenre(tcon);
  }

  /**
   * @param testStringValue
   */
  public void setOrigArtist(String tope) {
    idv2tag.setTString("TOPE", tope);
  }

  /**
   * @param testStringValue
   */
  public void setTitle(String tit2) {
    idv2tag.setTitle(tit2);
  }

  /**
   * @param trackValue
   */
  public void setTrack(int trck) {
    idv2tag.setTrack(trck);
  }

  /**
   * @param testStringValue
   */
  public void setURL(String testStringValue) {
    Id3Frame current = idv2tag.getFrame("WXXX");
    if (current == null) current = idv2tag.addFrame("WXXX");
    ((Id3FrameWXXX) current).setURL(testStringValue);
  }

  /**
   * @param testIntValue
   */
  public void setYear(int tyer) {
    idv2tag.setYear(tyer);
  }

}