/*
 * $Id: ListOfSong.java,v 1.2 2005/03/02 08:10:03 gruni Exp $
 * $Author: gruni $ 
 * $Revision: 1.2 $
 * $Date: 2005/03/02 08:10:03 $
 * $Log: ListOfSong.java,v $
 * Revision 1.2  2005/03/02 08:10:03  gruni
 * structural refactoring made some stuff just better no new functions
 *
 * Revision 1.1  2005/02/27 01:42:36  gruni
 * The New Structure of Lists
 *
 */
package org.jd3lib.archoslib.lists;

import java.util.Collections;
import java.util.Comparator;

import org.jd3lib.archoslib.ArcAudioFileDecorator;

/**
 * @author Andreas Grunewald
 *
 * TODO v0.7 Document
 */
public class ListOfSong extends List {

  /**
   * @author Andreas Grunewald
   *
   * TODO v0.7 Document
   */
  private static final class TrackSort implements Comparator {

    /* (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object o1, Object o2) {
      return ((ArcAudioFileDecorator) o1).getMetaData().getTrack()
          - ((ArcAudioFileDecorator) o2).getMetaData().getTrack();

    }

  }
  
  /**
   * Should sort titles
   * */
  private static final class TitleSort implements Comparator {

    /* (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    public int compare(Object o1, Object o2) {
      return ((ArcAudioFileDecorator) o1).getMetaData().getTitle().compareToIgnoreCase(
          ((ArcAudioFileDecorator) o2).getMetaData().getTitle());

    }

  }

  //TODO v0.6 use these for sorting definition.
  public static final Comparator SORT_BY_TITLE = new TitleSort();

  public static final Comparator SORT_BY_TRACK = new TrackSort();

  private final Comparator sortOrder;

  /**
   * @param root
   * @param name
   * TODO v0.5 configure sorting when creating list 
   * 
   */
  public ListOfSong(String defName, Comparator selectedSortOrder, List defParent) {
    super(defName,LIST_SONG,defParent);
    if (selectedSortOrder == null)  sortOrder = SORT_BY_TITLE;
    else sortOrder = selectedSortOrder;

  }

  /* (non-Javadoc)
   * @see org.jd3lib.archoslib.lists.List#accept(java.lang.Object)
   */
  protected boolean accept(ArcEntry e) {
    if (e instanceof ArcAudioFileDecorator) return true;
    return false;
  }

  /* (non-Javadoc)
   * @see org.jd3lib.archoslib.lists.List#process(org.jd3lib.AudioFile)
   */
  public void process(ArcAudioFileDecorator data) {
    add(data);
    sort(true);
  }

public void sort(boolean b){
  	Collections.sort(getEntries(),sortOrder);
    if (!b) Collections.reverse(getEntries());
  }}