/*
 * $Id: DirectoryFilter.java,v 1.1 2004/11/17 11:36:01 gruni Exp $
 * $Author: gruni $ 
 * $Revision: 1.1 $
 * $Date: 2004/11/17 11:36:01 $
 */
package org.jd3lib.util;

/*
  Copyright (C) 2002 Jonathan Hilliker & Andreas Grunewald
  Copyright (C) 2001 Jonathan Hilliker<br/>
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
/**
 * This <code>FileFilter</code> only accepts files if they are a Directory
 * @author Andreas Grunewald
 * @version 2.0
 */

public class DirectoryFilter extends javax.swing.filechooser.FileFilter
                           implements java.io.FileFilter {

   /* @param file the file to test
   * @return true if this file is a directory
  */
  public boolean accept(java.io.File file) {
    return (file.isDirectory());
  }
  
  /**
   * Returns the Name of the Filter for use in the Chooser Dialog
   * 
   * @return The Description of the Filter
   */
  public String getDescription() {
    return new String("Directories");
  }
}
